import Alpaca from '@alpacahq/alpaca-trade-api'
import { Exchange } from '../interface/exchange'

export class AlpacaExchange implements Exchange {
    readonly alpaca: Alpaca;

    readonly name: string;

    constructor(keyId: string, secretKey: string, paper: boolean) {
        this.alpaca = new Alpaca({
            keyId: keyId,
            secretKey: secretKey,
            paper: paper
        });

        this.name = 'Alpaca';
    }
}